summaryrefslogtreecommitdiff
path: root/help/C/l10n_scripts
diff options
context:
space:
mode:
authorBreda McColgan <breda.mccolgan@sun.com>2004-08-18 18:10:27 +0000
committerBreda McColgan <breda@src.gnome.org>2004-08-18 18:10:27 +0000
commit3a3a047a710700afd4fe6dde22f7f0f8eeae87bb (patch)
tree0da4f5d664e1cf2ac097d1ae6b8e58a5bdadad5e /help/C/l10n_scripts
parentd0a47f0b43b7aaa60248921d3ad04ace8d2e226f (diff)
downloadzenity-3a3a047a710700afd4fe6dde22f7f0f8eeae87bb.tar.gz
help/C/zenity.xml help/C/zenity-C.omf
2004-08-18 Breda McColgan <breda.mccolgan@sun.com> * Updated the following files: * help/C/zenity.xml * help/C/zenity-C.omf * help/C/figures/zenity-calendar-screenshot.png * help/C/figures/zenity-entry-screenshot.png * help/C/figures/zenity-error-screenshot.png * help/C/figures/zenity-fileselection-screenshot.png * help/C/figures/zenity-information-screenshot.png * help/C/figures/zenity-list-screenshot.png * help/C/figures/zenity-progress-screenshot.png * help/C/figures/zenity-question-screenshot.png * help/C/figures/zenity-text-screenshot.png * help/C/figures/zenity-warning-screenshot.png * Added the following files: * help/C/l10n.txt * help/C/l10n_scripts/ * help/C/l10n_scripts/calendar.sh * help/C/l10n_scripts/cvs.txt * help/C/l10n_scripts/error.sh * help/C/l10n_scripts/filesel.sh * help/C/l10n_scripts/info.sh * help/C/l10n_scripts/list.sh * help/C/l10n_scripts/progress.sh * help/C/l10n_scripts/question.sh * help/C/l10n_scripts/text_entry.sh * help/C/l10n_scripts/text_info.sh * help/C/l10n_scripts/warning.sh See the help/C/l10n.txt file for information about l10n_scripts.
Diffstat (limited to 'help/C/l10n_scripts')
-rwxr-xr-xhelp/C/l10n_scripts/calendar.sh10
-rwxr-xr-xhelp/C/l10n_scripts/cvs.txt51
-rwxr-xr-xhelp/C/l10n_scripts/error.sh4
-rwxr-xr-xhelp/C/l10n_scripts/filesel.sh13
-rwxr-xr-xhelp/C/l10n_scripts/info.sh4
-rwxr-xr-xhelp/C/l10n_scripts/list.sh8
-rwxr-xr-xhelp/C/l10n_scripts/progress.sh18
-rwxr-xr-xhelp/C/l10n_scripts/question.sh4
-rwxr-xr-xhelp/C/l10n_scripts/text_entry.sh11
-rwxr-xr-xhelp/C/l10n_scripts/text_info.sh17
-rwxr-xr-xhelp/C/l10n_scripts/warning.sh4
11 files changed, 144 insertions, 0 deletions
diff --git a/help/C/l10n_scripts/calendar.sh b/help/C/l10n_scripts/calendar.sh
new file mode 100755
index 0000000..cf0f45e
--- /dev/null
+++ b/help/C/l10n_scripts/calendar.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+ if zenity --calendar \
+ --title="Select a Date" \
+ --text="Click on a date to select that date." \
+ --day=10 --month=8 --year=2004
+ then echo $?
+ else echo "No date selected"
+ fi
+
diff --git a/help/C/l10n_scripts/cvs.txt b/help/C/l10n_scripts/cvs.txt
new file mode 100755
index 0000000..f470f66
--- /dev/null
+++ b/help/C/l10n_scripts/cvs.txt
@@ -0,0 +1,51 @@
+Getting the most out of CVS in GNOME
+====================================
+
+Introductory Beginnings-
+
+Current Versions System, CVS, is a powerful
+method of allowing many developers
+to work on the same source code. It is used
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/help/C/l10n_scripts/error.sh b/help/C/l10n_scripts/error.sh
new file mode 100755
index 0000000..7d93857
--- /dev/null
+++ b/help/C/l10n_scripts/error.sh
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+ zenity --error \
+ --text="Could not find /var/log/syslog."
diff --git a/help/C/l10n_scripts/filesel.sh b/help/C/l10n_scripts/filesel.sh
new file mode 100755
index 0000000..e9abe1d
--- /dev/null
+++ b/help/C/l10n_scripts/filesel.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+FILE=`zenity --file-selection --title="Select a File"`
+
+case $? in
+ 0)
+ echo "\"$FILE\" selected.";;
+ 1)
+ echo "No file selected.";;
+ -1)
+ echo "No file selected.";;
+esac
+
diff --git a/help/C/l10n_scripts/info.sh b/help/C/l10n_scripts/info.sh
new file mode 100755
index 0000000..2c19cfb
--- /dev/null
+++ b/help/C/l10n_scripts/info.sh
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+ zenity --info \
+ --text="Merge complete. Updated 3 of 10 files."
diff --git a/help/C/l10n_scripts/list.sh b/help/C/l10n_scripts/list.sh
new file mode 100755
index 0000000..cc8304d
--- /dev/null
+++ b/help/C/l10n_scripts/list.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+zenity --list \
+ --title="Choose the Bugs You Wish to View" \
+ --column="Bug Number" --column="Severity" --column="Description" \
+ 992383 Normal "GtkTreeView crashes on multiple selections" \
+ 293823 High "GNOME Dictionary does not handle proxy" \
+ 393823 Critical "Menu editing does not work in GNOME 2.0"
diff --git a/help/C/l10n_scripts/progress.sh b/help/C/l10n_scripts/progress.sh
new file mode 100755
index 0000000..225c90a
--- /dev/null
+++ b/help/C/l10n_scripts/progress.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+(
+echo "10" ; sleep 1
+echo "# Updating mail logs" ; sleep 1
+echo "20" ; sleep 1
+echo "# Resetting cron jobs" ; sleep 1
+echo "50" ; sleep 1
+echo "This line will just be ignored" ; sleep 1
+echo "75" ; sleep 1
+echo "# Rebooting system" ; sleep 1
+echo "100" ; sleep 1
+) |
+zenity --progress --title="Update System Logs" --text="Scanning mail logs..." --percentage=0
+
+if [ "$?" = -1 ] ; then
+ zenity --error --text="Update cancelled."
+fi
+
diff --git a/help/C/l10n_scripts/question.sh b/help/C/l10n_scripts/question.sh
new file mode 100755
index 0000000..6ed9374
--- /dev/null
+++ b/help/C/l10n_scripts/question.sh
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+ zenity --question \
+ --text="Are you sure you wish to proceed?"
diff --git a/help/C/l10n_scripts/text_entry.sh b/help/C/l10n_scripts/text_entry.sh
new file mode 100755
index 0000000..4afd006
--- /dev/null
+++ b/help/C/l10n_scripts/text_entry.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+ if zenity --entry \
+ --title="Add an Entry" \
+ --text="Enter your _password:" \
+ --entry-text "password" \
+ --hide-text
+ then echo $?
+ else echo "No password entered"
+ fi
+
diff --git a/help/C/l10n_scripts/text_info.sh b/help/C/l10n_scripts/text_info.sh
new file mode 100755
index 0000000..711e51d
--- /dev/null
+++ b/help/C/l10n_scripts/text_info.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+FILE=`zenity --file-selection \
+ --title="Select a File"`
+
+case $? in
+ 0)
+ zenity --text-info \
+ --title=$FILE \
+ --filename=$FILE \
+ --editable 2>/tmp/tmp.txt;;
+ 1)
+ echo "No file selected.";;
+ -1)
+ echo "No file selected.";;
+esac
+
diff --git a/help/C/l10n_scripts/warning.sh b/help/C/l10n_scripts/warning.sh
new file mode 100755
index 0000000..a39af9a
--- /dev/null
+++ b/help/C/l10n_scripts/warning.sh
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+ zenity --warning \
+ --text="Disconnect the power cable to avoid electrical shock."